/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

'use strict';

var fs = require('fs');

var evt = require('../evt');
var fop = require('../fop');
var cfg = require('../cfg');


function fileExists(req, res) {

  var fpath = req.param('path');

  if (!fpath || typeof fpath !== 'string' || fpath.length === 0) {
    res.status(400).send('Invalid path parameter');
    return;
  }

  fs.exists(fpath, function(flag) {
    res.sendStatus(flag ? 200 : 404);
  });

}

evt.onHttpAppReady(function(app) {
  cfg.rest(app).get('/fs/exists', fileExists);
});
